/*
 * @Company: hugeInfo
 * @Author: ldh
 * @Date: 2022-08-09 15:52:45
 * @LastEditTime: 2023-05-16 17:07:35
 * @LastEditors: lwh
 * @Version: 1.0.0
 * @Description: 搜索栏
 */
import React from 'react';
import { SearchOutlined, FilterOutlined } from 'dd-icons';
import './index.less';

/**
 * onOpenSearch: func // 点击搜索回调
 * onClickRightAction: func // 点击右侧按钮回调
 * isRightActive: bool // 是否执行了右侧按钮
 */
const MySearchNoSelectBar = ({ onOpenSearch, searchTitle }) => {
  return (
    <div className="MySearchNoSelectBar">
      <div className="MySearchNoSelectBar-search" onClick={onOpenSearch}>
        <SearchOutlined style={{ marginRight: '4px' }} />
        <span>{searchTitle || '搜索'}</span>
      </div>
    </div>
  );
};

export default MySearchNoSelectBar;
